#### Description:

This function removes AST escape sequences from a supplied string, returning the resulting text as the function value. The behaviour of this function can be controlled by invoking the astEscapes function, which can be used to supress or enable the removal of escape sequences by this function.

AST escape sequences are used by the Plot class to modify the appearance and position of sub-strings within a plotted text string. See the `"` Escape`"` attribute for further information.

#### Synopsis

const char ∗astStripEscapes( const char ∗text )

#### Parameters:

##### text

Pointer to the string to be checked.

#### Returned Value

##### astStripEscapes()

Pointer to the modified string. If no escape sequences were found in the supplied string, then a copy of the supplied pointer is returned. Otherwise, the pointer will point to a static buffer holding the modified text. This text will be over-written by subsequent invocations of this function. If the astEscapes function has been called indicating that escape sequences should not be stripped, then the supplied string is returned without change.
Copyright (C) 2021 East Asian Observatory